/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:40pm
Filepath: scripts\Items\Minor Artifacts\HorsemansHelm.cs
Lines of code: 45

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class HorsemansHelm : Helmet
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 10; } }
		public override int BaseEnergyResistance{ get{ return 10; } }		

		[Constructable]
		public HorsemansHelm() : base()
		{
			Name="Horseman's Helm";
			Hue=2101;


			ArmorAttributes.MageArmor= 1;
			ArmorAttributes.SelfRepair=3;
			Attributes.RegenStam = 2;
			
			
			if(Utility.Random(5)==3)
			{	
				ColdBonus = 5 + Utility.Random(16);
				EnergyBonus = 5 + Utility.Random(16);
				FireBonus = 5 + Utility.Random(16);
				PhysicalBonus = 5 + Utility.Random(16);
				PoisonBonus = 5 + Utility.Random(16);		
			}
		}
		

		

		public HorsemansHelm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		
		
	}
	
}